/*
 * Copyright 2020 École des Mines de Saint-Étienne.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.etsi.saref.server.entities;

import org.etsi.saref.server.Utils;

/**
 *
 * @author maxime.lefrancois
 */
public class Version {

    public String ns = Utils.NS;
    public String onto;
    public int major = -1;
    public int minor = -1;
    public int patch = -1;

    @Override
    public String toString() {
        return getUri();
    }

    public String getUri() {
        return String.format("%s%s/v%s.%s.%s/", ns, onto, major, minor, patch);
    }

}
